### Name: compare.derivatives
### Title: function to compare analytic and numeric derivatives
### Aliases: compare.derivatives
### Keywords: math utilities

### ** Examples

## A simple example with sin(x)' = cos(x)
f <- sin
compare.derivatives(f, cos, t0=1)
##
## Example of log-likelihood of normal density.  Two-parameter
## function.
x <- rnorm(100, 1, 2) # generate rnorm x
l <- function(b) sum(log(dnorm((x-b[1])/b[2])/b[2]))
              # b[1] - mu, b[2] - sigma
gradl <- function(b) {
c(sum(x - b[1])/b[2]^2,
sum((x - b[1])^2/b[2]^3 - 1/b[2]))
}
compare.derivatives(l, gradl, t0=c(1,2))



